﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Tasks;

namespace PhoneSampleApp
{
	public partial class MainPage : PhoneApplicationPage
	{
		// Constructor
		public MainPage()
		{
			InitializeComponent();
		}

		private void OnInstallCertificate(object sender, RoutedEventArgs e)
		{
			var task = new WebBrowserTask();
			task.Uri = new Uri("http://localhost:23205/certificate.cer", UriKind.Absolute);
			task.Show();
		}

		private void OnCallWebservice(object sender, RoutedEventArgs e)
		{
			var svc = new ServiceReference1.Service1Client();
			svc.ClientCredentials.UserName.UserName = "Anonymous";
			svc.ClientCredentials.UserName.Password = "";

			svc.GetDataCompleted += (s, a) =>
			{
				MessageBox.Show(a.Result);
				svc.CloseAsync();
			};

			svc.GetDataAsync(42);
		}
	}
}